Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## javax.swing.tree
Class DefaultMutableTreeNode

Method Summary
`void` | `clear()` Removes all children nodes from the DefaultMutableTreeNode.
`DefaultMutableTreeNode` | `leftShift(DefaultMutableTreeNode node)` Overloads the left shift operator to provide an easy way to add nodes to a DefaultMutableTreeNode.

Method Detail

### clear

    public void clear()

  Removes all children nodes from the DefaultMutableTreeNode.

Since:
  1.6.4

### leftShift

    public DefaultMutableTreeNode leftShift(DefaultMutableTreeNode node)

  Overloads the left shift operator to provide an easy way to add nodes to a DefaultMutableTreeNode.

Parameters:
  `node` - a node to be added to the treeNode..

Returns:
  same treeNode, after the value was added to it.

Since:
  1.6.4

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK